### R code from vignette source 'iGGV.Rnw'

###################################################
### code chunk number 1: iGGV.Rnw:63-65
###################################################
library(iGenomicViewer)
data(iGGVex)


###################################################
### code chunk number 2: iGGV.Rnw:84-85
###################################################
writeExFiles()


###################################################
### code chunk number 3: iGGV.Rnw:98-102
###################################################
band.info = makeBandInfo(file="cytoBand.txt", 
                         chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"), 
                         file.sep="\t", returnVl=TRUE, header=TRUE)



###################################################
### code chunk number 4: iGGV.Rnw:151-154
###################################################
data(Band.Info)
mapping.info = mappingObj(file="HB19Kv2.HG18.txt", spot.ID="Clone", chrom="Chromosome",  chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),loc.start="start", loc.stop="Stop", file.sep="\t", additional=c("Mapped.by", "Flag"), band.info=band.info, header=TRUE, returnVl=TRUE, links=10, names.links="UCSC")



###################################################
### code chunk number 5: iGGV.Rnw:209-214
###################################################
data(Band.Info)
annotation1 = makeAnnotation(file="CancerGenes.txt", file.sep="\t", label=2, chrom=3,chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),band.info=band.info,  loc=NA, loc.start=4, loc.stop=5, additional=0, header=TRUE, links=6)
annotation2 = makeAnnotation(file="DiseaseGenes.txt", file.sep="\t", label=2, chrom=3,chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),band.info=band.info, loc=NA, loc.start=4, loc.stop=5, additional=0, header=TRUE, links=7)
annotation3 = makeAnnotation(file="DNArepairgenes.txt", file.sep="\t", label=1, chrom=2, chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"), band.info=band.info, loc=NA, loc.start=3, loc.stop=4, additional=0, header=TRUE, links=5)



###################################################
### code chunk number 6: iGGV.Rnw:280-284
###################################################
annObj = annotationObj(annotation1, obj.name="CancerGenes")
annObj = annotationObj(annotation2, annotationObj=annObj, obj.name="DiseaseGenes")
annObj = annotationObj(annotation3, annotationObj=annObj, obj.name="DNArepairGenes")



###################################################
### code chunk number 7: iGGV.Rnw:324-328
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)


###################################################
### code chunk number 8: iGGV.Rnw:347-349
###################################################
names(y.lbls)
names(mapObj$mapping.info)


###################################################
### code chunk number 9: iGGV.Rnw:355-360
###################################################
x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)


###################################################
### code chunk number 10: iGGV.Rnw:384-386
###################################################
chrArm = c("8p", "18p")
trackRegion = makeTrack(Fine.Band = c("8p11.22","6p21.32","18p11.21"),genomicLoc = NA, geneName = "FANCE")


###################################################
### code chunk number 11: iGGV.Rnw:401-406
###################################################
pvls = rep(rep(rep(c(-1,rep(0,3),1,rep(0,3),.5,rep(0,3),-.75), each=10), 150))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="points(pvls, GGV$values$mapObj$mapping.info$g.loc.center,col='red', pch=21); title(main='test')"
plot.dx=which(mapObj$mapping.info$Chrom=="chr8")



###################################################
### code chunk number 12: iGGV.Rnw:511-546
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)

x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)

chrArms = c("8p", "18p")
trackRegions = makeTrack(Fine.Band = c("8p11.22","6p21.32","18p11.21"),
                        genomicLoc = NA, geneName = "FANCE")

pvls = rep(rep(rep(c(-1,rep(0,3),1,rep(0,3),.5,rep(0,3),-.75), each=10),150))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="points(pvls, GGV$values$mapObj$mapping.info$g.loc.center, col='red', pch=21); title(main='test')"
plot.dx=which(mapObj$mapping.info$Chrom=="chr8")

GGV = initGGV(vls = vls,
              mapObj = mapObj,
              annObj = annObj,
              x.labels=x.labels,
              y.labels=y.labels,
              xy.labels=xy.labels,
              chrArms=chrArms,
              trackRegions=trackRegions,
              side.plot.extras=side.plot.extras,
              plot.vec=plot.vec,
              plot.dx=plot.dx,
              mapObj.columns=mapObj.columns,
              smpLines=TRUE,
              divCol="lightgrey")



###################################################
### code chunk number 13: iGGV.Rnw:568-573
###################################################
data(mapping.info)
mapObj = mapping.info
Z = mat
H=3
zlim=c(-.5,.5)


###################################################
### code chunk number 14: iGGV.Rnw:591-594
###################################################
bacDX = 103:112
smplDX = 1:10
goodDX=NA


###################################################
### code chunk number 15: iGGV.Rnw:670-689
###################################################

data(mapping.info)
mapObj = mapping.info
Z = mat
H=3
zlim=c(-.5,.5)
bacDX = 103:112
smplDX = 1:10
goodDX=NA

TIplot = initTile(Z=Z,
                  bacDX=bacDX,
                  mapObj=mapObj, smplDX=smplDX,
                  H=3,zlims=zlim,
                  ylabels=paste("Spot",bacDX, sep=""),
                  xlabels=paste("smp",smplDX, sep=""),
                  xlab="Samples",ylab="SpotID",ttl="tiledImage")




###################################################
### code chunk number 16: iGGV.Rnw:731-734
###################################################
goodDX=NA
smplDX=1:10 
smp.color= c(rep(c("red", "blue", "purple", "green","yellow"), each=4), rep("pink", 2))


###################################################
### code chunk number 17: iGGV.Rnw:765-767
###################################################
tileNum=3
tiled.window.size = "1200x1100"


###################################################
### code chunk number 18: iGGV.Rnw:868-869
###################################################
data(annObj)


###################################################
### code chunk number 19: iGGV.Rnw:914-924
###################################################

spot.indx = 103:112
plot.vec = round(rowMeans(TIplot$vls$Z),3)
plot.call = "image(x=0:1,y=0:1,z=matrix(rep(NA,4),ncol=2),
                 xlim=c(range(plot.vec,na.rm=T)),
                 ylim=range(mapObj$mapping.info$g.loc.center[spot.indx],na.rm=T),
                 zlim=c(0,1),axes=F,xlab='',ylab='');
                 points(x=plot.vec,y=mapObj$mapping.info$g.loc.center[spot.indx], 
                 pch=3, cex=0.5, col='purple');axis(2);axis(1)"



###################################################
### code chunk number 20: iGGV.Rnw:1049-1053
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)


###################################################
### code chunk number 21: iGGV.Rnw:1069-1074
###################################################
x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)


###################################################
### code chunk number 22: iGGV.Rnw:1093-1095
###################################################
  genomic.region="11q"
  region.type="arm"


###################################################
### code chunk number 23: iGGV.Rnw:1140-1142
###################################################
plot.call=NA
plot.vec=NA


