### R code from vignette source 'iGenomicViewer.Rnw'

###################################################
### code chunk number 1: iGenomicViewer.Rnw:64-66
###################################################
library(iGenomicViewer)
data(iGGVex)


###################################################
### code chunk number 2: iGenomicViewer.Rnw:146-150
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)


###################################################
### code chunk number 3: iGenomicViewer.Rnw:173-175
###################################################
names(y.lbls)
names(mapObj$mapping.info)


###################################################
### code chunk number 4: iGenomicViewer.Rnw:181-186
###################################################
x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)


###################################################
### code chunk number 5: iGenomicViewer.Rnw:215-217
###################################################
chrArms = c("8p", "18p")
trackRegion = makeTrack(Fine.Band = c("8p11.22","6p21.32","18p11.21"),genomicLoc = NA, geneName = "FANCE")


###################################################
### code chunk number 6: iGenomicViewer.Rnw:232-237
###################################################
pvls = rep(rep(rep(c(-1,rep(0,3),1,rep(0,3),.5,rep(0,3),-.75), each=10), 150))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="points(pvls, GGV$values$mapObj$mapping.info$g.loc.center,col='red', pch=21); title(main='test')"
plot.dx=which(mapObj$mapping.info$Chrom=="chr8")



###################################################
### code chunk number 7: iGenomicViewer.Rnw:349-384
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)

x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)

chrArms = c("8p", "18p")
trackRegions = makeTrack(Fine.Band = c("8p11.22","6p21.32","18p11.21"),
                        genomicLoc = NA, geneName = "FANCE")

pvls = rep(rep(rep(c(-1,rep(0,3),1,rep(0,3),.5,rep(0,3),-.75), each=10),150))[1:length(mapObj$mapping.info$g.loc.center)]
plot.vec = pvls[1:length(mapObj$mapping.info$g.loc.center)]
side.plot.extras="points(pvls, GGV$values$mapObj$mapping.info$g.loc.center, col='red', pch=21); title(main='test')"
plot.dx=which(mapObj$mapping.info$Chrom=="chr8")

GGV = initGGV(vls = vls,
              mapObj = mapObj,
              annObj = annObj,
              x.labels=x.labels,
              y.labels=y.labels,
              xy.labels=xy.labels,
              chrArms=chrArms,
              trackRegions=trackRegions,
              side.plot.extras=side.plot.extras,
              plot.vec=plot.vec,
              plot.dx=plot.dx,
              mapObj.columns=mapObj.columns,
              smpLines=TRUE,
              divCol="lightgrey")



###################################################
### code chunk number 8: iGenomicViewer.Rnw:414-419
###################################################
data(mapping.info)
mapObj = mapping.info
Z = mat
H=3
zlim=c(-.5,.5)


###################################################
### code chunk number 9: iGenomicViewer.Rnw:442-445
###################################################
bacDX = 103:112
smplDX = 1:10
goodDX=NA


###################################################
### code chunk number 10: iGenomicViewer.Rnw:526-545
###################################################

data(mapping.info)
mapObj = mapping.info
Z = mat
H=3
zlim=c(-.5,.5)
bacDX = 103:112
smplDX = 1:10
goodDX=NA

TIplot = initTile(Z=Z,
                  bacDX=bacDX,
                  mapObj=mapObj, smplDX=smplDX,
                  H=3,zlims=zlim,
                  ylabels=paste("Spot",bacDX, sep=""),
                  xlabels=paste("smp",smplDX, sep=""),
                  xlab="Samples",ylab="SpotID",ttl="tiledImage")




###################################################
### code chunk number 11: iGenomicViewer.Rnw:624-627
###################################################
goodDX=NA
smplDX=1:10 
smp.color= c(rep(c("red", "blue", "purple", "green","yellow"), each=4), rep("pink", 2))


###################################################
### code chunk number 12: iGenomicViewer.Rnw:659-661
###################################################
tileNum=3
tiled.window.size = "1200x1100"


###################################################
### code chunk number 13: iGenomicViewer.Rnw:822-823
###################################################
data(annObj)


###################################################
### code chunk number 14: iGenomicViewer.Rnw:871-881
###################################################

spot.indx = 103:112
plot.vec = round(rowMeans(TIplot$vls$Z),3)
plot.call = "image(x=0:1,y=0:1,z=matrix(rep(NA,4),ncol=2),
                 xlim=c(range(plot.vec,na.rm=T)),
                 ylim=range(mapObj$mapping.info$g.loc.center[spot.indx],na.rm=T),
                 zlim=c(0,1),axes=F,xlab='',ylab='');
                 points(x=plot.vec,y=mapObj$mapping.info$g.loc.center[spot.indx], 
                 pch=3, cex=0.5, col='purple');axis(2);axis(1)"



###################################################
### code chunk number 15: iGenomicViewer.Rnw:1027-1031
###################################################
vls = round(mat, 3)
data(mapping.info)
mapObj = mapping.info 
data(annObj)


###################################################
### code chunk number 16: iGenomicViewer.Rnw:1054-1059
###################################################
x.labels=x.lbls
xy.labels = list(lgr=vls)
y.lbls$Pdisc = round(y.lbls$Pdisc,3)
y.labels = y.lbls
mapObj.columns = c(2,8,10)


###################################################
### code chunk number 17: iGenomicViewer.Rnw:1085-1087
###################################################
  genomic.region="11q"
  region.type="arm"


###################################################
### code chunk number 18: iGenomicViewer.Rnw:1137-1139
###################################################
plot.call=NA
plot.vec=NA


###################################################
### code chunk number 19: iGenomicViewer.Rnw:1256-1258
###################################################

writeExFiles()


###################################################
### code chunk number 20: iGenomicViewer.Rnw:1290-1294
###################################################
band.info = makeBandInfo(file="cytoBand.txt", 
                         chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"), 
                         file.sep="\t", returnVl=TRUE, header=TRUE)



###################################################
### code chunk number 21: iGenomicViewer.Rnw:1362-1365
###################################################
data(Band.Info)
mapping.info = mappingObj(file="HB19Kv2.HG18.txt", spot.ID="Clone", chrom="Chromosome",  chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),loc.start="start", loc.stop="Stop", file.sep="\t", additional=c("Mapped.by", "Flag"), band.info=band.info, header=TRUE, returnVl=TRUE, links=10, names.links="UCSC")



###################################################
### code chunk number 22: iGenomicViewer.Rnw:1448-1453
###################################################
data(Band.Info)
annotation1 = makeAnnotation(file="CancerGenes.txt", file.sep="\t", label=2, chrom=3,chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),band.info=band.info,  loc=NA, loc.start=4, loc.stop=5, additional=0, header=TRUE, links=6)
annotation2 = makeAnnotation(file="DiseaseGenes.txt", file.sep="\t", label=2, chrom=3,chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"),band.info=band.info, loc=NA, loc.start=4, loc.stop=5, additional=0, header=TRUE, links=7)
annotation3 = makeAnnotation(file="DNArepairgenes.txt", file.sep="\t", label=1, chrom=2, chrom.levels=c("chr1","chr2","chr3","chr4","chr5","chr6","chr7","chr8","chr9","chr10","chr11","chr12","chr13","chr14","chr15","chr16","chr17","chr18","chr19","chr20","chr21","chr22","chrX","chrY"), band.info=band.info, loc=NA, loc.start=3, loc.stop=4, additional=0, header=TRUE, links=5)



###################################################
### code chunk number 23: iGenomicViewer.Rnw:1526-1530
###################################################
annObj = annotationObj(annotation1, obj.name="CancerGenes")
annObj = annotationObj(annotation2, annotationObj=annObj, obj.name="DiseaseGenes")
annObj = annotationObj(annotation3, annotationObj=annObj, obj.name="DNArepairGenes")



###################################################
### code chunk number 24: iGenomicViewer.Rnw:1616-1622
###################################################

x = matrix(0,24,3)
x[,2] = 1
x[,3] = 2
chr = 1:24



###################################################
### code chunk number 25: iGenomicViewer.Rnw:1626-1627
###################################################
x


###################################################
### code chunk number 26: iGenomicViewer.Rnw:1632-1633
###################################################
newx = convertGloc(x=x, chr=chr, row=TRUE, bandobj=NA)


###################################################
### code chunk number 27: iGenomicViewer.Rnw:1638-1639
###################################################
newx


###################################################
### code chunk number 28: iGenomicViewer.Rnw:1644-1645
###################################################
returnx = convertCloc(x=newx, chr=chr, row=TRUE, bandobj=NA)


###################################################
### code chunk number 29: iGenomicViewer.Rnw:1650-1651
###################################################
returnx


###################################################
### code chunk number 30: iGenomicViewer.Rnw:1724-1728
###################################################
trackRegion = makeTrack(Broad.Band=NA,
                        Fine.Band = c("8p11.22","18p11.21"),
                        genomicLoc = c(0,6200000),
                        geneName = "FANCE")


###################################################
### code chunk number 31: iGenomicViewer.Rnw:1764-1768
###################################################
 newGGV = updateGGV(GGV=GGV, 
                    trackRegions=trackRegion, 
                    appendTo=TRUE)



